> For the complete documentation index, see [llms.txt](https://auorio.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://auorio.gitbook.io/docs/api/amadeus.md).

# Amadeus

## GET /amadeus/v1/search

> Use the Amadeus API to find flight offers.

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/amadeus/v1/search":{"get":{"operationId":"amadeusSearchV1","summary":"Use the Amadeus API to find flight offers.","tags":["Amadeus"],"parameters":[{"name":"origin","in":"query","description":"The IATA code of the origin airport.","required":true,"schema":{"type":"string","minLength":3,"maxLength":3}},{"name":"destination","in":"query","description":"The IATA code of the destination airport.","required":true,"schema":{"type":"string","minLength":3,"maxLength":3}},{"name":"dateDepart","in":"query","description":"The departure date in YYYY-MM-DD format.","required":true,"schema":{"type":"string","pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$"}},{"name":"dateReturn","in":"query","description":"The return date in YYYY-MM-DD format.","required":false,"schema":{"type":"string","pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$"}},{"name":"travelersAdult","in":"query","description":"The number of adult travelers.","required":true,"schema":{"type":"integer","minimum":1,"maximum":1024}},{"name":"travelersChild","in":"query","description":"The number of child travelers.","required":false,"schema":{"type":"integer","minimum":0,"maximum":1024}},{"name":"travelersInfant","in":"query","description":"The number of infant travelers.","required":false,"schema":{"type":"integer","minimum":0,"maximum":1024}},{"name":"class","in":"query","description":"The travel class.","required":false,"schema":{"type":"string","enum":["ECONOMY","PREMIUM_ECONOMY","BUSINESS","FIRST"]}},{"name":"direct","in":"query","description":"Whether to search for direct flights only.","required":false,"schema":{"type":"boolean"}},{"name":"currencyCode","in":"query","description":"The currency code for the price.","required":false,"schema":{"type":"string","enum":["CAD","HKD","ISK","PHP","DKK","HUF","CZK","AUD","RON","SEK","IDR","INR","BRL","RUB","HRK","JPY","THB","EUR","CHF","SGD","PLN","BGN","TRY","CNY","NOK","NZD","ZAR","USD","MXN","ILS","GBP","KRW","MYR"]}},{"name":"priceMaximum","in":"query","description":"The maximum price for the flight.","required":false,"schema":{"type":"integer"}},{"name":"resultsMaximum","in":"query","description":"The maximum number of results to return.","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/amadeus/v1/search/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://auorio.gitbook.io/docs/api/amadeus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
